> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /kickstarter/projects/search

> Search Kickstarter reward-crowdfunding projects with filters and sort

**Price:** 5 credits per 12 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/kickstarter/projects/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/kickstarter/projects/search:
    post:
      tags:
        - /kickstarter
      summary: /kickstarter/projects/search
      description: |-
        Search Kickstarter reward-crowdfunding projects with filters and sort

        **Price:** 5 credits per 12 results
      operationId: __api_kickstarter_projects_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KickstarterProjectsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KickstarterProject'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KickstarterProjectsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        term:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - items:
                $ref: '#/components/schemas/KickstarterCategory'
              type: array
            - type: 'null'
        state:
          anyOf:
            - items:
                $ref: '#/components/schemas/KickstarterState'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/KickstarterSort'
          default: magic
        raised:
          anyOf:
            - $ref: '#/components/schemas/KickstarterRaised'
            - type: 'null'
        raised_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        raised_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        goal_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        goal_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        pledged_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        pledged_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        staff_picks:
          type: boolean
          default: false
        location_id:
          anyOf:
            - type: integer
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    KickstarterProject:
      properties:
        '@type':
          type: string
          default: KickstarterProject
        id:
          type: integer
        name:
          type: string
        alias:
          type: string
        project_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        video_url:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        goal:
          anyOf:
            - type: number
            - type: 'null'
        pledged:
          anyOf:
            - type: number
            - type: 'null'
        usd_pledged:
          anyOf:
            - type: number
            - type: 'null'
        converted_pledged_amount:
          anyOf:
            - type: number
            - type: 'null'
        percent_funded:
          anyOf:
            - type: number
            - type: 'null'
        backer_count:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        currency_symbol:
          anyOf:
            - type: string
            - type: 'null'
        current_currency:
          anyOf:
            - type: string
            - type: 'null'
        static_usd_rate:
          anyOf:
            - type: number
            - type: 'null'
        fx_rate:
          anyOf:
            - type: number
            - type: 'null'
        usd_exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_displayable_name:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        launched_at:
          anyOf:
            - type: integer
            - type: 'null'
        deadline:
          anyOf:
            - type: integer
            - type: 'null'
        state_changed_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        successful_at:
          anyOf:
            - type: integer
            - type: 'null'
        is_staff_pick:
          anyOf:
            - type: boolean
            - type: 'null'
        is_starrable:
          anyOf:
            - type: boolean
            - type: 'null'
        is_launched:
          anyOf:
            - type: boolean
            - type: 'null'
        is_prelaunch_activated:
          anyOf:
            - type: boolean
            - type: 'null'
        is_in_post_campaign_pledging_phase:
          anyOf:
            - type: boolean
            - type: 'null'
        is_spotlight:
          anyOf:
            - type: boolean
            - type: 'null'
        disable_communication:
          anyOf:
            - type: boolean
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        update_count:
          anyOf:
            - type: integer
            - type: 'null'
        faq_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_community:
          anyOf:
            - type: boolean
            - type: 'null'
        creator:
          anyOf:
            - $ref: '#/components/schemas/KickstarterCreator'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/KickstarterProjectCategory'
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/KickstarterLocation'
            - type: 'null'
        story:
          anyOf:
            - type: string
            - type: 'null'
        risks:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KickstarterCategory:
      type: string
      enum:
        - art
        - comics
        - crafts
        - dance
        - design
        - fashion
        - film_video
        - food
        - games
        - journalism
        - music
        - photography
        - publishing
        - technology
        - theater
        - art_ceramics
        - art_conceptual_art
        - art_digital_art
        - art_illustration
        - art_installations
        - art_mixed_media
        - art_painting
        - art_performance_art
        - art_public_art
        - art_sculpture
        - art_social_practice
        - art_textiles
        - art_video_art
        - comics_anthologies
        - comics_comic_books
        - comics_events
        - comics_graphic_novels
        - comics_webcomics
        - crafts_candles
        - crafts_crochet
        - crafts_diy
        - crafts_embroidery
        - crafts_glass
        - crafts_knitting
        - crafts_pottery
        - crafts_printing
        - crafts_quilts
        - crafts_stationery
        - crafts_weaving
        - crafts_woodworking
        - dance_performances
        - dance_spaces
        - dance_workshops
        - design_architecture
        - design_civic_design
        - design_graphic_design
        - design_interactive_design
        - design_product_design
        - design_toys
        - design_typography
        - fashion_accessories
        - fashion_apparel
        - fashion_childrenswear
        - fashion_couture
        - fashion_footwear
        - fashion_jewelry
        - fashion_pet_fashion
        - fashion_ready_to_wear
        - film_video_action
        - film_video_animation
        - film_video_comedy
        - film_video_documentary
        - film_video_drama
        - film_video_experimental
        - film_video_family
        - film_video_fantasy
        - film_video_festivals
        - film_video_horror
        - film_video_movie_theaters
        - film_video_music_videos
        - film_video_narrative_film
        - film_video_romance
        - film_video_science_fiction
        - film_video_shorts
        - film_video_television
        - film_video_thrillers
        - film_video_webseries
        - food_community_gardens
        - food_cookbooks
        - food_drinks
        - food_events
        - food_farmer_s_markets
        - food_farms
        - food_food_trucks
        - food_restaurants
        - food_small_batch
        - food_spaces
        - food_vegan
        - games_gaming_hardware
        - games_live_games
        - games_mobile_games
        - games_playing_cards
        - games_puzzles
        - games_stl
        - games_tabletop_games
        - games_ttrpg
        - games_video_games
        - journalism_audio
        - journalism_photo
        - journalism_print
        - journalism_video
        - journalism_web
        - music_blues
        - music_classical_music
        - music_comedy
        - music_country_folk
        - music_electronic_music
        - music_faith
        - music_hip_hop
        - music_indie_rock
        - music_jazz
        - music_kids
        - music_latin
        - music_metal
        - music_pop
        - music_punk
        - music_r_b
        - music_rock
        - music_world_music
        - photography_animals
        - photography_fine_art
        - photography_nature
        - photography_people
        - photography_photobooks
        - photography_places
        - publishing_academic
        - publishing_anthologies
        - publishing_art_books
        - publishing_audiobooks
        - publishing_calendars
        - publishing_children_s_books
        - publishing_comedy
        - publishing_fiction
        - publishing_letterpress
        - publishing_literary_journals
        - publishing_literary_spaces
        - publishing_nonfiction
        - publishing_periodicals
        - publishing_poetry
        - publishing_radio_podcasts
        - publishing_translations
        - publishing_young_adult
        - publishing_zines
        - technology_3d_printing
        - technology_apps
        - technology_camera_equipment
        - technology_diy_electronics
        - technology_fabrication_tools
        - technology_flight
        - technology_gadgets
        - technology_hardware
        - technology_makerspaces
        - technology_robots
        - technology_software
        - technology_sound
        - technology_space_exploration
        - technology_wearables
        - technology_web
        - theater_comedy
        - theater_experimental
        - theater_festivals
        - theater_immersive
        - theater_musical
        - theater_plays
    KickstarterState:
      type: string
      enum:
        - live
        - successful
        - failed
        - upcoming
        - late_pledge
        - submitted
        - started
        - cancelled
        - suspended
    KickstarterSort:
      type: string
      enum:
        - magic
        - popularity
        - newest
        - end_date
        - most_funded
        - most_backed
    KickstarterRaised:
      type: string
      enum:
        - '0'
        - '1'
        - '2'
    KickstarterCreator:
      properties:
        '@type':
          type: string
          default: KickstarterCreator
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    KickstarterProjectCategory:
      properties:
        '@type':
          type: string
          default: KickstarterProjectCategory
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        parent_id:
          anyOf:
            - type: integer
            - type: 'null'
        parent_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    KickstarterLocation:
      properties:
        '@type':
          type: string
          default: KickstarterLocation
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        displayable_name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        location_type:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````